Obtener los datos de un flow
curl --request GET \
--url https://clientapi.woku.app/v1/flows/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://clientapi.woku.app/v1/flows/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://clientapi.woku.app/v1/flows/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"flowId": "<string>",
"flowName": "<string>",
"companyId": "<string>",
"companyName": "<string>",
"companyAvatar": "<string>",
"wokusData": [
{
"wokuId": "<string>",
"description": "<string>",
"fileUrl": "<string>",
"fileType": "<string>"
}
],
"anonymousDisabled": true,
"npsToolId": "<string>",
"companyIdNps": "<string>"
}{
"statusCode": 403,
"message": "Authentication required",
"error": "Forbidden"
}{
"statusCode": 404,
"message": "External tracker not found",
"error": "Not Found"
}Flows
Obtener los datos de un flow
Devuelve el recorrido del flow: wokus en orden de presentacion, la marca de la empresa y el NPS vinculado (especifico de una herramienta o a nivel de empresa). Usa los endpoints de captura existentes para registrar feedback en cada paso. Acepta la clave de captura publicable o la clave secreta.
GET
/
v1
/
flows
/
{id}
Obtener los datos de un flow
Autorizaciones
BearerAuthPublishableKey
Clave de API de la empresa. Obtenla desde tu panel de Woku en Configuracion > API Keys. La misma clave usada para los endpoints v0.
Parámetros de ruta
Id del flow
Respuesta
Datos del flow
Wokus del recorrido, en orden de presentacion.
Show child attributes
Show child attributes
Herramienta NPS vinculada, cuando el flow termina con un NPS especifico de una herramienta.
Se establece cuando el flow termina con el NPS a nivel de empresa.